Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos
Class SOServiceFactory

    java.lang.Object
      org.deegree.ogcwebservices.sos.SOServiceFactory

    public final class SOServiceFactory

extends Object

Version:
  1.0
Author:
  Matthias Kulbe

Method Summary
`static SOService` | `getService()`
`static SOService` | `getUncachedService(SOSConfiguration config)`
`static void` | `setConfiguration(SOSConfiguration scsConfiguration)` must be synchronized
`static void` | `setConfiguration(URL serviceConfigurationUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setConfiguration

    public static void setConfiguration(SOSConfiguration scsConfiguration)

  must be synchronized

  Parameters:
    `scsConfiguration` -

### setConfiguration

    public static void setConfiguration(URL serviceConfigurationUrl)
                                 throws InvalidConfigurationException

  Parameters:
    `serviceConfigurationUrl` -
  Throws:
    `InvalidConfigurationException`

### getService

    public static SOService getService()
                                throws OGCWebServiceException

  Returns:
    the new instance
  Throws:
    `OGCWebServiceException`

### getUncachedService

    public static SOService getUncachedService(SOSConfiguration config)

  Parameters:
    `config` -
  Returns:
    the new instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org